#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}

%define module	Apache-ASP
%define version	2.51
%define release	4mdk

Summary:	%{module} module for perl
Name:		%{module}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Source0:	http://cpan.org/modules/by-module/Apache/%{module}-%{version}.tar.bz2
Source1:	asp.html
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
BuildRequires:  ADVX-build >= 1.2
BuildRequires:	perl-devel
BuildRequires:	perl-Apache-Filter
BuildRequires:	perl-Apache-SSI
BuildRequires:	perl-base
BuildRequires:	perl-Compress-Zlib
BuildRequires:	perl-DB_File
BuildRequires:	perl-Devel-Symdump
BuildRequires:	perl-HTML-Clean
BuildRequires:	perl-MLDBM
BuildRequires:  perl-MLDBM-Sync
BuildRequires:  perl-HTML-FillInForm
BuildRequires:  perl-XML-Sablotron
BuildRequires:	perl-Tie-Cache
BuildRequires:	perl-Tie-TextDir
BuildRequires:	perl-Time-HiRes
BuildRequires:	perl-XML-XSLT
BuildRequires:  perl-XML-LibXSLT
BuildRequires:	perl-CGI
BuildRequires:	perl-DB_File
BuildRequires:  perl-Apache-SSI
BuildRequires:  perl-Apache-Filter
Provides:	perl(Apache::ASP::Share::CORE)

BuildArch: noarch

%description
%{module} module for perl

%prep
%setup -q

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%clean 
rm -fr %buildroot

%install
rm -rf %{buildroot}
eval `perl '-V:installarchlib'`
mkdir -p %{buildroot}/$installarchlib
make
perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g;" ASP.pm
%makeinstall_std
mkdir -p %{buildroot}%{ap_datadir}/perl/%{module}
mkdir -p %{buildroot}%{ap_webdoc}/
rm -f ASP.pm
rm -rf blib
rm -f Makefile*
rm -f pm_to_blib
#cd cgi
#perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g;" asp
#cd ..
cd site
for i in *;do perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g;" $i;done
#cd eg
#for i in *;do perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g;" $i;done
#cd ../../
cp %{SOURCE1} %{buildroot}%{ap_webdoc}/%{module}.html
cp -dpr *  %{buildroot}%{ap_datadir}/perl/%{module}/
rm -rf %{buildroot}/%{ap_datadir}/perl/%{module}/t

%files
%defattr(-,root,root)
%doc CHANGES README
%dir %{ap_datadir}/perl/%{module}
%{ap_datadir}/perl/%{module}/*
%{perl_vendorlib}/Apache
%{perl_vendorlib}/Bundle/Apache
%{_mandir}/*/*
%{_bindir}/*
%{ap_webdoc}/Apache-ASP.html

%changelog
* Tue Mar 02 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.51-4mdk
- rebuild

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.51-3mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- don't use PREFIX
- use %%makeinstall_std macro

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.51-2mdk
- rebuild
- dropped Prefix tag

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.51-1mdk
- New version, supposed to be compatible with both mod_perl 1.3 and 2.0
- new macros from ADVX-build

* Fri Sep  6 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.37-3mdk
- Re-add link in addon-modules
- Get *all* files this time (including the missing .htaccess!)

* Wed Aug 07 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.37-2mdk
- fix conflict
- fix BuildRequires

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.37-1mdk
- new version 2.37.
- rebuild with perl 5.8.0.
- remove filelist

* Tue Jun 25 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.35-1mdk
- new version 2.35.

* Thu May 02 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.33-1mdk
- new version.

* Fri Mar 22 2002 David BAUDENS <baudens@mandrakesoft.com> 2.31-2mdk
- Clean after build
- Use %%make macro

* Thu Jan 31 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.31-1mdk
- 2.31.

* Mon Nov 05 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.27-1mdk
- 2.27.
- Added few BuildRequires
- s|/usr/local/bin/perl|%{_bindir}/perl|g

* Mon Jul 23 2001 Stefan van der Eijk <stefan@eijk.nu>  2.19-1mdk
- 2.19
- BuildRequires:	perl-CGI
- BuildRequires:	perl-DB_File
- Copyright --> License GPL
- Remove BuildRequires: apache-mod_perl perl perl-DateManip
  perl-Digest-MD5 perl-HTML-Parser perl-HTML-SimpleParse perl-libnet
  perl-libwww-perl perl-libxml-enno perl-libxml-perl perl-MIME-Base64
  perl-Parse-Yapp perl-URI perl-XML-Parser

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 2.00-4mdk
- BuildRequires:	perl-devel

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.00-3mdk
- BuildArchitectures: noarch
- add docs with doc macro

* Sun Oct 01 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 2.00-2mdk
- Call spec-helper before creating filelist
- Geoff <snailtalk@mandrakesoft.com>
  - remove the vendor and distribution tag. (jmdsuck!!)

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.00-1mdk
- Version 2.00 
- Macroized package

* Wed Mar  1 2000 Jean-Michel Dault <jmdault@netrevolution.com> 0.18-3mdk
- fixed link in asp.html

* Wed Mar  1 2000 Jean-Michel Dault <jmdault@netrevolution.com> 0.18-2mdk
- fixed dependencies again

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com> 0.18-1mdk
- updated to 0.18 on Apache 1.3.12

* Wed Jan 19 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 0.17

* Mon Sep 06 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- fixed dependancies

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 0.14
- bzip2'd sources
- put manual and examples in html directory
- renamed Apache-ASP to differentiate is as a different product

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated. 
